List the devices of a user
get
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Responses
200
All devices of the user.
application/json
configuredbooleanRequired
Whether the device is ready to use. Unconfigured devices are not sent to the gateway. Such a device is already added to all its networks, but is still missing something, for example its public key.
createdstring · date-timeRequired
descriptionstring · nullableOptional
device_typestring · enumRequiredPossible values:
idinteger · int64Required
namestringRequired
user_idinteger · int64Required
wireguard_pubkeystringRequired
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
500
Unable to list user devices.
application/json
get/api/v1/device/user/{username}
GET /api/v1/device/user/{username} HTTP/1.1
Accept: */*
[
{
"configured": true,
"created": "2024-07-10T10:25:43.231",
"description": null,
"device_type": "user",
"id": 1,
"name": "work laptop",
"user_id": 1,
"wireguard_pubkey": "xTIBA5rboUvnH4htodjb6e697QjLERt1NAB4mZqp8Dg="
}
]Last updated
Was this helpful?